List services for a dedicated server
Send a GET request to the /v1/hosts/dedicated_servers/{server_id}/services endpoint to show a list of services associated with a server. Specify its ID in the path parameter. The service data is updated every day between 3:00 AM and 9:00 AM UTC. The pre-paid billing implies that services ordered within the current billing period (2nd day of month and later) will be included into the invoice of the next month. To retrieve information about them, specify the date parameter with any date of the next month. For example, today is the 5th of October and you have a server ordered on the 2nd of October. To get services data, you should specify the date parameter with any date in November. You can learn more about billing in our knowledge base.
Authorization
bearerAuth In: header
Path Parameters
| Field | Details |
|---|---|
server_id | stringA unique identifier of a server. |
Query Parameters
| Field | Details |
|---|---|
date? | string<date>Service information will be displayed for a billing period as of this date. The format is YYYY-MM-DD. |
per_page? | integerDefault: Range: 1–100 The number of results [ 1 .. 100 ] displayed on a page. By default, 20 results are shown. |
page? | integerDefault: Min: The number of a page (>= 1) that will be returned. By default, it's 1. |
sorting? | stringValue in: Default: This parameter sorts items. By default, it's |
direction? | stringValue in: Default: This parameter defines if items are sorted in an ascending |
Response Body
application/json
application/json
application/json
curl -X GET "https://example.com/v1/hosts/dedicated_servers/J0dN8KaL/services?date=2026-05-01"[ { "id": "openRe7A", "name": "Server hardware", "type": "server_base", "label": "title336", "currency": "USD", "started_at": "2026-05-28T00:00:00Z", "finished_at": "2026-05-29T00:00:00Z", "date_from": "2026-05-28", "date_to": "2026-05-29", "usage_quantity": 1, "tax": 0, "total": 60, "subtotal": 60, "discount_rate": 0 }]